Colors (Exterior)
GET /api/exterior-colors/v2
Section titled “GET /api/exterior-colors/v2”Returns exterior color options for vehicles, including color name and RGB values. The demo dataset covers model years 2015–2020. To access the full range from 1900 to today, subscribe and include a valid JWT.
Sample Request
Section titled “Sample Request”curl "https://carapi.app/api/exterior-colors/v2?year=2024&make=Toyota&model=Camry" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const params = new URLSearchParams({ year: '2024', make: 'Toyota', model: 'Camry' });
const response = await fetch(`https://carapi.app/api/exterior-colors/v2?${params}`, { headers: { 'Authorization': `Bearer ${jwt}` }});
const data = await response.json();console.log('Exterior Colors:', data);import requests
headers = { 'Authorization': f'Bearer {jwt}'}
params = { 'year': '2024', 'make': 'Toyota', 'model': 'Camry'}
response = requests.get( 'https://carapi.app/api/exterior-colors/v2', headers=headers, params=params)
data = response.json()print('Exterior Colors:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/exterior-colors/v2', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'year' => '2024', 'make' => 'Toyota', 'model' => 'Camry', ],]);
$data = json_decode($response->getBody(), true);print_r($data);$url = 'https://carapi.app/api/exterior-colors/v2?' . http_build_query([ 'year' => '2024', 'make' => 'Toyota', 'model' => 'Camry',]);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);Sample Response
Section titled “Sample Response”{ "collection": { "url": "/api/exterior-colors/v2?trim_id=8860", "count": 8, "pages": 1, "total": 8, "next": "", "prev": "", "first": "/api/exterior-colors/v2?trim_id=8860", "last": "" }, "data": [ { "id": 89104, "make_id": 22, "model_id": 4779, "submodel_id": 73504, "trim_id": 8860, "year": 2020, "make": "Toyota", "model": "Camry", "series": null, "submodel": "LE", "trim": "LE", "trim_description": "LE 4dr Sedan (2.5L 4cyl 8A)", "color": "Blue Streak Metallic", "rgb": "0,62,155" }, { "id": 89102, "make_id": 22, "model_id": 4779, "submodel_id": 73504, "trim_id": 8860, "year": 2020, "make": "Toyota", "model": "Camry", "series": null, "submodel": "LE", "trim": "LE", "trim_description": "LE 4dr Sedan (2.5L 4cyl 8A)", "color": "Brownstone", "rgb": "95,85,71" } ]}Filtering
Section titled “Filtering”curl "https://carapi.app/api/exterior-colors/v2?year=2024&make=Toyota&json=[{\"field\":\"color\",\"op\":\"like\",\"val\":\"%blue%\"}]" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const filter = JSON.stringify([ { field: 'color', op: 'like', val: '%blue%' }]);
const response = await fetch( `https://carapi.app/api/exterior-colors/v2?year=2024&make=Toyota&json=${encodeURIComponent(filter)}`, { headers: { 'Authorization': `Bearer ${jwt}` } });
const data = await response.json();console.log('Exterior Colors:', data);import requestsimport json
headers = { 'Authorization': f'Bearer {jwt}'}
params = { 'year': '2024', 'make': 'Toyota', 'json': json.dumps([ {'field': 'color', 'op': 'like', 'val': '%blue%'} ])}
response = requests.get( 'https://carapi.app/api/exterior-colors/v2', headers=headers, params=params)
data = response.json()print('Exterior Colors:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/exterior-colors/v2', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'year' => '2024', 'make' => 'Toyota', 'json' => json_encode([ ['field' => 'color', 'op' => 'like', 'val' => '%blue%'], ]), ],]);
$data = json_decode($response->getBody(), true);print_r($data);$filter = json_encode([ ['field' => 'color', 'op' => 'like', 'val' => '%blue%'],]);
$url = 'https://carapi.app/api/exterior-colors/v2?' . http_build_query(['year' => '2024', 'make' => 'Toyota', 'json' => $filter]);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);GET /api/exterior-colors Deprecated
Section titled “GET /api/exterior-colors ”This legacy endpoint uses name instead of color as the field name for color values and
supports a verbose=yes parameter to include make, model, and trim. Use
/api/exterior-colors/v2 for all new integrations.